## net.i2p.router.web
Class ContentHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ContentHelper

    public class ContentHelper

extends HelperBase

Field Summary

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`ContentHelper()`

Method Summary
`java.lang.String` `getContent()`
`java.lang.String` `getTextContent()`
`void` `setLang(java.lang.String l)`
`void` `setMaxLines(java.lang.String lines)`
`void` `setPage(java.lang.String page)` Caution, use absolute paths only, do not assume files are in CWD
`void` `setStartAtBeginning(java.lang.String moo)`

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _, _x, setContextId, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHelper

    public ContentHelper()

Method Detail

### setPage

    public void setPage(java.lang.String page)

  Caution, use absolute paths only, do not assume files are in CWD

### setStartAtBeginning

    public void setStartAtBeginning(java.lang.String moo)

### setLang

    public void setLang(java.lang.String l)

### setMaxLines

    public void setMaxLines(java.lang.String lines)

### getContent

    public java.lang.String getContent()

### getTextContent

    public java.lang.String getTextContent()